# $Date: 2005-05-26 10:03:10 +0200 (Thu, 26 May 2005) $
# $Rev: 680 $

PROGNAME=mkplaylist
PRETTY_NAME=mkplaylist
HTML_MANUAL_NAME=$(PROGNAME)-man.html

FILES=Makefile $(PROGNAME).py COPYING README.txt $(HTML_MANUAL_NAME) default.css

VERSION=$(shell python -c 'import $(PROGNAME); print $(PROGNAME).__version__')
DISTNAME=$(PROGNAME)-$(VERSION)

all:
	# Nothing to do...

$(HTML_MANUAL_NAME): README.txt
	rst2html.py README.txt > $(HTML_MANUAL_NAME)

doc:
	epydoc --name $(PRETTY_NAME) --show-imports $(PROGNAME).py

dist: clean $(FILES)
	mkdir $(DISTNAME)
	cp -a $(FILES) $(DISTNAME)
	tar cvzf $(DISTNAME).tar.gz $(DISTNAME)
	rm -rf $(DISTNAME)

clean:
	rm -rf html/ *.bck *~ *.pyc *.pyo *-man.html *.tar.gz *.m3u
